VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::health::Load Interface Reference

`Load` interface provides methods Get load health. More...

Inherited by vmware::appliance::health::LoadStub.

List of all members.

## Public Member Functions
vmware.appliance.health.LoadTypes.HealthLevel | Get ()
| Get load health.
vmware.appliance.health.LoadTypes.HealthLevel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get load health.
global::System.Threading.Tasks.Task < vmware.appliance.health.LoadTypes.HealthLevel > | GetAsync ()
| Get load health.
global::System.Threading.Tasks.Task < vmware.appliance.health.LoadTypes.HealthLevel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get load health.

## Detailed Description

`Load` interface provides methods Get load health.

## Member Function Documentation

vmware.appliance.health.LoadTypes.HealthLevel vmware::appliance::health::Load::Get | ( |  | ) |

Get load health.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Load health.

Implemented in vmware::appliance::health::LoadStub.

vmware.appliance.health.LoadTypes.HealthLevel vmware::appliance::health::Load::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get load health.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Load health.

Implemented in vmware::appliance::health::LoadStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.LoadTypes.HealthLevel> vmware::appliance::health::Load::GetAsync | ( |  | ) |

Get load health.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Load health.

Implemented in vmware::appliance::health::LoadStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.LoadTypes.HealthLevel> vmware::appliance::health::Load::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get load health.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Load health.

Implemented in vmware::appliance::health::LoadStub.

The documentation for this interface was generated from the following file:

- Load.cs